package springbootdemo;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.context.config.ConfigFileApplicationListener;
import org.springframework.core.env.ConfigurableEnvironment;

public class MeinConfigFileApplicationListener extends ConfigFileApplicationListener
{
   @Override
   public void postProcessEnvironment( ConfigurableEnvironment env, SpringApplication application )
   {
      SpringEventListenerDevUtil.printEventNameAndClassAndSource( "ConfigFileApplicationListener", this );

      String propSrcName  = "applicationConfigurationProperties";
      String propKey      = "server.port";
      String propNewValue = "28080";
      SpringEnvironmentPrintDevUtil.printSpringEnvironment( env, propSrcName );
      Object alterWert = SpringEnvironmentUtil.replacePropInSpringEnvironment( env, propSrcName, propKey, propNewValue );
      System.out.println( ( alterWert == null )
                          ? "Property " + propKey + " nicht gefunden in " + propSrcName + "."
                          : "Property " + propKey + " geaendert von " + alterWert + " zu " + propNewValue + "." );
      SpringEnvironmentPrintDevUtil.printSpringEnvironment( env, propSrcName );
   }
}
