package springbootdemo;

import java.util.Arrays;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.*;

@SpringBootApplication
public class ApplicationMain
{
   public static void main( String[] args )
   {
      SpringApplication application = new SpringApplication( ApplicationMain.class );
      application.addListeners(
            new MeinConfigFileApplicationListener(),
            new SpringApplicationEventListenerDevUtil() );
      ConfigurableApplicationContext ctx = application.run( args );

      System.out.println( "-------- BeanDefinitionNames:" );
      String[] beanNames = ctx.getBeanDefinitionNames();
      Arrays.sort( beanNames );
      for( String beanName : beanNames ) {
         System.out.println( beanName );
      }
      System.out.println( "--------" );
   }
}
