package springbootdemo;

import java.util.Map;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.context.config.ConfigFileApplicationListener;
import org.springframework.core.env.ConfigurableEnvironment;

public class MeinConfigFileApplicationListener extends ConfigFileApplicationListener
{
   @Override
   public void postProcessEnvironment( ConfigurableEnvironment env, SpringApplication application )
   {
      SpringEventListenerDevUtil.printEventNameAndClassAndSource( "ConfigFileApplicationListener", this );

      String propSrcName = "meineLaufzeitProp";
      String propKey     = "server.port";
      String propValue   = "28080";
      SpringEnvironmentUtil.addPropToSpringEnvironment( env, propSrcName, propKey, propValue );
      Map<String,Object> mp1 = SpringEnvironmentUtil.getMapFromSpringEnvironment( env, "applicationConfigurationProperties" );
      Map<String,Object> mp2 = SpringEnvironmentUtil.getMapFromSpringEnvironment( env, propSrcName );
      SpringEnvironmentPrintDevUtil.printMap( "applicationConfigurationProperties:", mp1, "    ", " = " );
      SpringEnvironmentPrintDevUtil.printMap( propSrcName + ":", mp2, "    ", " = " );
      System.out.println( "Resultierender Wert: " + propKey + " = " + env.getProperty( propKey ) );
      System.out.println( "----------------------------------------" );
   }
}
