package springbootdemo;

import org.springframework.beans.BeansException;
import org.springframework.beans.factory.config.BeanPostProcessor;
import org.springframework.stereotype.Component;

@Component
public class SpringBeanPostProcessorUtil implements BeanPostProcessor
{
   private int i;

   @Override
   public Object postProcessBeforeInitialization( Object bean, String beanName ) throws BeansException
   {
      System.out.println( "---- (" + ++i + ") BeforeInitialization " + beanName + " (" + bean.getClass().getSimpleName() + ")" );
      return bean;
   }

   @Override
   public Object postProcessAfterInitialization( Object bean, String beanName ) throws BeansException
   {
      System.out.println( "---- (" + ++i + ") AfterInitialization  " + beanName );
      return bean;
   }
}
