package springbootdemo;

import javax.servlet.*;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.embedded.ServletContextInitializer;
import org.springframework.context.annotation.*;

@SpringBootApplication
public class ApplicationMain
{
  public static void main( String[] args )
  {
    SpringApplication.run( ApplicationMain.class, args );
  }

  @Configuration
  static class ConfigureJsfContextParameters implements ServletContextInitializer
  {
    @Override
    public void onStartup( ServletContext servletContext ) throws ServletException
    {
      servletContext.setInitParameter( "facelets.DEVELOPMENT",                    "false"      );
      servletContext.setInitParameter( "javax.faces.PROJECT_STAGE",               "Production" );
      servletContext.setInitParameter( "javax.faces.DEFAULT_SUFFIX",              ".xhtml"     );
      servletContext.setInitParameter( "javax.faces.PARTIAL_STATE_SAVING_METHOD", "true"       );
      servletContext.setInitParameter( "javax.faces.FACELETS_REFRESH_PERIOD",     "-1"         );
    }
  }
}
