package springbootdemo;

import java.util.*;
import javax.servlet.*;
import org.springframework.boot.context.embedded.ServletRegistrationBean;
import org.springframework.context.annotation.*;
import com.sun.faces.config.FacesInitializer;

@Configuration
public class ConfigureJsfServletRegistration
{
  @Bean
  public ServletRegistrationBean facesServletRegistration()
  {
    return new JsfServletRegistrationBean();
  }

  public class JsfServletRegistrationBean extends ServletRegistrationBean
  {
    public JsfServletRegistrationBean()
    {
      super();
    }

    @Override
    public void onStartup( ServletContext servletContext ) throws ServletException
    {
      FacesInitializer facesInitializer = new FacesInitializer();
      Set<Class<?>> clazz = new HashSet<Class<?>>();
      clazz.add( ConfigureJsfServletRegistration.class );
      facesInitializer.onStartup( clazz, servletContext );
    }
  }
}
