package springbootdemo;

import java.util.*;
import javax.persistence.*;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;

@Entity
public class MeineUser implements UserDetails
{
   public  static final String MEINE_USER_ROLLENNAME = "MEINE_USER";
   private static final long   serialVersionUID = 1L;

   @Id
   private String username;
   private String password;
   private String fullname;

   @Override
   public String getUsername() { return username; }
   @Override
   public String getPassword() { return password; }
   public String getFullname() { return fullname; }

   public void setUsername( String username ) { this.username = username; }
   public void setPassword( String password ) { this.password = password; }
   public void setFullname( String fullname ) { this.fullname = fullname; }

   @Override
   public Collection<? extends GrantedAuthority> getAuthorities() {
      return Arrays.asList(  new SimpleGrantedAuthority( "ROLE_" + MEINE_USER_ROLLENNAME ) );
   }

   @Override public boolean isAccountNonExpired() { return true; }
   @Override public boolean isAccountNonLocked() { return true; }
   @Override public boolean isCredentialsNonExpired() { return true; }
   @Override public boolean isEnabled() { return true; }
}
